﻿using System;
using System.Collections.Generic;
using System.Text;
using Docs.Excel;
using Docs.Excel.Converting;

namespace ExternalSavePicture
{
    class Program
    {
        static void Main(string[] args)
        {
            //Read excel file.
            ExcelWorkbook wbook = ExcelWorkbook.ReadXLSX(@"..\..\..\ExcelHtmlPictures.xlsx");
            ExcelToHtml converter = new ExcelToHtml(wbook);

            //Save picture in external file.
            converter.Worksheets[0].ShowPicture = PictureOptions.ExternalFile;
            converter.Worksheets[0].ShowGrid = true;
            
            //Save specified worksheet to HTML file. 
            string html_file = @"..\..\..\ExcelExporting.html";
            converter.Worksheets[0].SaveHTML(html_file);

            //Open specified file.
            System.Diagnostics.Process.Start(html_file);
        }
    }
}
